### Method

# EDataServer SoupSession setup_logging

since: 3.26

#### Declaration [src]

    void
    e_soup_session_setup_logging (
      ESoupSession* session,
      const gchar* logging_level
    )

#### Description [src]

Setups logging for the `session`. The `logging_level` can be one of: “all” - log whole raw communication; “body” - the same as “all”; “headers” - log the headers only; “min” - minimal logging; “1” - the same as “all”. Any other value, including `NULL`, disables logging.

Use `e_soup_session_get_log_level()` to get current log level.

Available since: 3.26

#### Parameters

`logging_level`

  Type: `const gchar*`

  Logging level to setup, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.